gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r20475 - in gnunet-planetlab: . automation_scripts


From: gnunet
Subject: [GNUnet-SVN] r20475 - in gnunet-planetlab: . automation_scripts
Date: Tue, 13 Mar 2012 13:10:12 +0100

Author: wachs
Date: 2012-03-13 13:10:12 +0100 (Tue, 13 Mar 2012)
New Revision: 20475

Added:
   gnunet-planetlab/automation_scripts/
   gnunet-planetlab/automation_scripts/00_planetlab-certificate-install.sh
   gnunet-planetlab/automation_scripts/00_planetlab-remove.sh
   gnunet-planetlab/automation_scripts/01_planetlab-dependencies.sh
   gnunet-planetlab/automation_scripts/02_planetlab-deps-from-source.sh
   gnunet-planetlab/automation_scripts/03_planetlab-extractor.sh
   gnunet-planetlab/automation_scripts/04_planetlab-libmicrohttpd.sh
   gnunet-planetlab/automation_scripts/05_planetlab-gnunet.sh
   gnunet-planetlab/automation_scripts/06_set_env.sh
Removed:
   gnunet-planetlab/00_planetlab-certificate-install.sh
   gnunet-planetlab/00_planetlab-remove.sh
   gnunet-planetlab/01_planetlab-dependencies.sh
   gnunet-planetlab/02_planetlab-deps-from-source.sh
   gnunet-planetlab/03_planetlab-extractor.sh
   gnunet-planetlab/04_planetlab-libmicrohttpd.sh
   gnunet-planetlab/05_planetlab-gnunet.sh
   gnunet-planetlab/06_set_env.sh
Log:
cleanup


Deleted: gnunet-planetlab/00_planetlab-certificate-install.sh
===================================================================
--- gnunet-planetlab/00_planetlab-certificate-install.sh        2012-03-13 
12:00:18 UTC (rev 20474)
+++ gnunet-planetlab/00_planetlab-certificate-install.sh        2012-03-13 
12:10:12 UTC (rev 20475)
@@ -1,38 +0,0 @@
-echo "INSTALLING svn"
-sudo yum -t --nogpgcheck install svn -y
-if [ $? = 0 ]
-then
-echo " Installing svn successfull"
-else
-echo " Instalation svn failed, exitting ..."
-exit 1
-fi
-
-
-#creating subversion directory structury with first time checkout with 
acceptable certificate
-#cd
-#sudo svn checkout 
http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ tmp/
-#if [ $? = 0 ]
-#then
-#echo " Checking out"
-#else
-#echo " Checkedout Extractor failed, exiting ..."
-#exit 1
-#fi
-
-#copying the certificates to the new node
-mkdir ~/.subversion/auth
-mkdir ~/.subversion/auth/svn.ssl.server
-#sudo chmod 777 ~/.subversion/auth
-
-cp contrib/gnunet-svn-cert 
/home/tum_dht_testing/.subversion/auth/svn.ssl.server/2bd0c10624fe8b217987bb45f1ec55bf
-#sudo chmod 777 /home/tum_dht_testing/.subversion/auth/svn.ssl.server
-
-if [ $? = 0 ]
-then
-echo " Installing gnunet.org certificate for subversion successful"
-else
-echo " Installing gnunet.org certificate for subversion failed"
-rm -rf  ~/.subversion/auth
-exit 1
-fi

Deleted: gnunet-planetlab/00_planetlab-remove.sh
===================================================================
--- gnunet-planetlab/00_planetlab-remove.sh     2012-03-13 12:00:18 UTC (rev 
20474)
+++ gnunet-planetlab/00_planetlab-remove.sh     2012-03-13 12:10:12 UTC (rev 
20475)
@@ -1,33 +0,0 @@
-echo "INSTALLING DEPENDENCIES"
-
-sudo sudo rpm -e --nodeps libgcrypt 1> /dev/null
-#if [ $? = 0 ]
-#then
-echo " Removing old version of libgcrypt"
-#else
-#echo " Removing old version of libgcrypt failed"
-#exit 1
-#fi
-
-sudo rpm -e libgpg-error-devel --nodeps
-#if [ $? = 0 ]
-#then
-echo " Removing old version of libgpg-error-devel"
-#else
-#echo " Removing old version of libgpg-error-devel failed"
-#exit 1
-#fi
-
-sudo rpm -e libgpg-error --nodeps
-#if [ $? = 0 ]
-#then
-echo " Removing old version of libgpg-error "
-#else
-#echo " Removing old version of libgpg-error  failed"
-#exit 1
-#fi
-
-
-exit 0
-
-

Deleted: gnunet-planetlab/01_planetlab-dependencies.sh
===================================================================
--- gnunet-planetlab/01_planetlab-dependencies.sh       2012-03-13 12:00:18 UTC 
(rev 20474)
+++ gnunet-planetlab/01_planetlab-dependencies.sh       2012-03-13 12:10:12 UTC 
(rev 20475)
@@ -1,119 +0,0 @@
-echo "INSTALLING DEPENDENCIES"
-
-sudo yum -t --nogpgcheck install svn -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing svn successful"
-else
-echo " Instalation svn failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install make -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing make successful"
-else
-echo " Instalation make failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install gcc -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing gcc successful"
-else
-echo " Instalation gcc failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install gcc-c++ -y 1> /dev/null
-
-if [ $? = 0 ]
-then
-echo " Installing gcc-c++ successful"
-else
-echo " Instalation gcc-c++ failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install autoconf automake -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing autoconf successful"
-else
-echo " Instalation autoconf failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install gettext -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing gettext successful"
-else
-echo " Instalation gettext failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install zlib-devel -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing zlib-devel successful"
-else
-echo " Instalation zlib-devel failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install texinfo -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing textinfo successful"
-else
-echo " Instalation textinfo failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install gettext-devel -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing gettext-devel successful"
-else
-echo " Instalation gettext-devel failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install sqlite-devel -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing sqlite-develsuccessful"
-else
-echo " Instalation sqlite-devel failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install gmp-devel -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing gmp-devel successful"
-else
-echo " Instalation gmp-devel failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install gmp-devel -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing gmp-devel successful"
-else
-echo " Instalation gmp-devel failed, exitting ..."
-exit 1
-fi
-
-sudo yum -t --nogpgcheck install m4 -y 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Installing m4 successful"
-else
-echo " Instalation m4 failed, exitting ..."
-exit 1
-fi

Deleted: gnunet-planetlab/02_planetlab-deps-from-source.sh
===================================================================
--- gnunet-planetlab/02_planetlab-deps-from-source.sh   2012-03-13 12:00:18 UTC 
(rev 20474)
+++ gnunet-planetlab/02_planetlab-deps-from-source.sh   2012-03-13 12:10:12 UTC 
(rev 20475)
@@ -1,502 +0,0 @@
-#!/bin/sh
-
-
-# libtool
-#--------------------------
-
-function cleanup_libtool {
-rm -rf /tmp/libtool 1> /dev/null 2> /dev/null
-} 
-
-function install_libtool { 
-
-echo Installing libtool
-
-mkdir /tmp/libtool
-cd /tmp/libtool
-
-wget http://ftp.gnu.org/gnu/libtool/libtool-2.4.2.tar.gz 1> /dev/null 2> 
/dev/null 
-if [ $? = 0 ]
-then
- echo "  Download successful"
-else
- echo "  Download failed!"
- cleanup_libtool
- exit 1
-fi
-
-cd /tmp/libtool
-tar xfvz libtool-2.4.2.tar.gz 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
- echo "  Unpacking successful"
-else
- echo "  Unpacking failed!"
- cleanup_libtool
-exit 1
-fi
-
-cd libtool-2.4.2
-./configure --prefix=/usr 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
- echo "  Configure successful"
-else
- echo "  Configure failed!"
- cleanup_libtool
-exit 1
-fi
-
-sudo make clean all 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo "  make clean all successful"
-else
-echo "  make libtool failed, exiting ..."
- cleanup_libtool 
-fi
-
-sudo make install 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo "  make install successful"
-else
-echo "  Installing libtool failed, exiting ..."
- cleanup_libtool    
-exit 1
-fi
-
-echo Libtool installed!
-
-cleanup_libtool
-}
- 
-# libgcrypt & libgpgerror
-#--------------------------
-
-function cleanup_libgcrypt {
-rm -rf /tmp/libgcrypt
-}
-
-function install_libgcrypt {
-
-mkdir /tmp/libgcrypt
-cd /tmp/libgcrypt
-
-if [ $? = 0 ]
-then
-echo " Extraction libgcrypt 1 successful"
-else
-echo " Libgcrpyt download failure, exiting ..."
-cleanup_libtool
-exit 1
-fi
-
-
-wget ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.5.0.tar.gz 1> /dev/null 
2> /dev/null
-
-tar -zxvf libgcrypt-1.5.0.tar.gz 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo " Extraction libgcrpt 2  successfull"
-else
-echo " Libgcrpyt download fialure,  Exiting ..."
-cleanup_libgcrypt
-exit 1
-fi
-
-cd libgcrypt-1.5.0
-
-wget ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.8.tar.bz2 1> 
/dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo " Extraction libgcrpt 2  successfull"
-else
-echo " Libgcrpyt download fialure,  Exiting ..."
-cleanup_ligcrypt
-exit 1
-fi
-
-if [ $? = 0 ]
-then
-echo " libgpg download successfull"
-else
-echo " Libgpg-error configuration failed, exiting ..."
-exit 1
-fi
-
-tar -xjvf libgpg-error-1.8.tar.bz2 1> /dev/null 2> /dev/null
-cd libgpg-error-1.8
-
-./configure --prefix=/usr 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo "  Libgpg-error configure successfull"
-else
-echo "  Libgpg-error configuration failed, exiting ..."
-cleanup_libgcrypt
-exit 1
-fi
-
-make clean all 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo "  Libgpg-error make successfull"
-else
-echo "  Libgpt-error configuration failed, exiting ..."
-cleanup_libgcrypt
-exit 1
-fi
-
-sudo make install 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo "  Libgpg-error make install successfull"
-else
-echo "  Libgpg-error make install failed, exiting ..."
-cleanup_libgcrypt
-exit 1
-fi
-
-cd ..
-./configure --prefix=/usr 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo " Libgcrypt configure successfull"
-else
-echo " Libgcrypt configure failed, exiting ..."
-cleanup_libgcrypt
-exit 1
-fi
-
-make clean all 1> /dev/null 2> /dev/null
-
-if [ $? = 0 ]
-then
-echo " Libcrpyt make successfull"
-else
-echo " Libcrypt make failed, exiting ..."
-cleanup_libgcrypt
-exit 1
-fi
-
-sudo make install 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-echo " Libcrpyt make install successfull"
-else
-echo " Libcrypt make install failed, exiting ..."
-cleanup_libgcrypt 
-exit 1
-fi
-
-cd ..
-
-}
-
-# libcurl
-#--------------------------
-
-
-function cleanup_libcurl {
-rm -rf /tmp/libcurl
-}
-
-function install_libcurl {
-mkdir /tmp/libcurl
-cd /tmp/libcurl
-
-wget http://curl.haxx.se/download/curl-7.23.1.tar.gz 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Download successful"
-else
-  echo " Download failed, exiting ..."
-cleanup_libgcrypt
-exit 1
-fi
-
-tar xvfz curl-7.23.1.tar.gz 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Unpack successful"
-else
-  echo " Unpack failed, exiting ..."
-  cleanup_libcurl
- exit 1
-fi
-
-cd curl-7.23.1
-./configure --with-ssl 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Libcurl configure successful"
-else
-  echo " Libcurl configure failed, exiting ..."
-cleanup_libcurl
-exit 1
-fi
- 
-make all 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Libcurl make all successful"
-else
-  echo " Libcurl make all failed, exiting ..."
-cleanup_libcurl
-exit 1
-fi
-
-sudo make install 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Libcurl make install successful"
-else
-  echo " Libcurl make install failed, exiting ..."
-  cleanup_libcurl
-  exit 1
-fi
-
-cd ..
-}
-
-# libnettle
-#-------------------------
-
-function cleanup_nettle {
-#      cd ..
-#      rm -rf nettle-2.4
-#      rm nettle-2.4.tar.gz 
-rm -rf /tmp/libnettle
-}
-
-
-function install_nettle {
-
-
-mkdir /tmp/libnettle
-cd /tmp/libnettle
-
- wget http://www.lysator.liu.se/~nisse/archive/nettle-2.4.tar.gz 1> /dev/null 
2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Libnettle download successful"
-else
-  echo " Libnettle download failed, exiting ..."
-  cleanup_nettle
-  exit 1
-fi
-tar xvfz nettle-2.4.tar.gz 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Libnettle unpack successful"
-else
-  echo " Libnettle unpack failed, exiting ..."
-  cleanup_nettle
-  exit 1
-fi
-
-cd nettle-2.4
-
-./configure --enable-shared 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Libnettle configure successful"
-else
-  echo " Libnettle configure failed, exiting ..."
-  cleanup_nettle
-  exit 1
-fi
-
-make all 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Libnettle make all successful"
-else
-  echo " Libnettle make all failed, exiting ..."
-  cleanup_nettle
-  exit 1
-fi
-
-sudo make install 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " Libnettle sudo make install successful"
-else
-  echo " Libnettle sudo make install failed, exiting ..."
-  cleanup_nettle
-  exit 1
-fi
-cd ..
-#cleanup_nettle
-}
-
-
-# gnutls
-#-------------------------
-
-function cleanup_gnutls {
-#      cd ..
-#      rm -rf gnutls-2.12.9
-#      rm gnutls-2.12.9.tar.gz 
-rm -rf /tmp/gnutls
-}
-
-
-function install_gnutls {
-       
-mkdir /tmp/gnutls
-cd /tmp/gnutls
-
-wget ftp://ftp.gnupg.org/gcrypt/gnutls/gnutls-2.12.9.tar.bz2 1> /dev/null 2> 
/dev/null
-if [ $? = 0 ]
-then
-  echo " gnutls download successful"
-else
-  echo " gnutls download failed, exiting ..."
-  cleanup_gnutls
-  exit 1
-fi
-tar -xjvf gnutls-2.12.9.tar.bz2 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " gnutls download successful"
-else
-  echo " gnutls download failed, exiting ..."
-  cleanup_gnutls
-  exit 1
-fi
-
-cd gnutls-2.12.9
-
-./configure --without-p11-kit   1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " gnutls configure successful"
-else
-  echo " gnutls configure failed, exiting ..."
-  cleanup_gnutls
-  exit 1
-fi
-
-make all 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " gnutls make all successful"
-else
-  echo " gnutls make all failed, exiting ..."
-  cleanup_gnutls
-  exit 1
-fi
-
-sudo make install 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " gnutls sudo make install successful"
-else
-  echo " gnutls sudo make install failed, exiting ..."
-  cleanup_gnutls
-  exit 1
-fi
-
-
-#cleanup_gnutls
-cd ..
-}
-
-function cleanup_libunistring {
-#      cd ..
-#      rm -rf gnutls-2.12.9
-#      rm gnutls-2.12.9.tar.gz 
-rm -rf /tmp/libunistring
-}
-
-
-function install_libunistring {
-       
-mkdir /tmp/libunistring
-cd /tmp/libunistring
-
-
-wget http://ftp.gnu.org/gnu/libunistring/libunistring-0.9.3.tar.gz 1> 
/dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " libunistring download successful"
-else
-  echo " libunistring download failed, exiting ..."
-  cleanup_libunistring
-  exit 1
-fi
-
-tar xvfz libunistring-0.9.3.tar.gz 1>/dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " libunistring download successful"
-else
-  echo " libunistring download failed, exiting ..."
-  cleanup_libunistring
-  exit 1
-fi
-
-
-cd libunistring-0.9.3
-
-./configure  1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " libunistring configure successful"
-else
-  echo " libunistring configure failed, exiting ..."
-  cleanup_libunistring
-  exit 1
-fi
-
-make all 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " libunistring make all successful"
-else
-  echo " libunistring make all failed, exiting ..."
-  cleanup_libunistring
-  exit 1
-fi
-
-sudo make install 1> /dev/null 2> /dev/null
-if [ $? = 0 ]
-then
-  echo " libunistring sudo make install successful"
-else
-  echo " libunistring sudo make install failed, exiting ..."
-  cleanup_libunistring
-  exit 1
-fi
-
-#cleanup_libunistring
-cd ..
-}
-
-echo "INSTALLING DEPENDENCIES FROM SOURCE"
-
-# Installing libtool
-install_libtool
-cleanup_libtool
-
-#echo "INSTALLING libcrypt"
-install_libgcrypt
-cleanup_libgcrypt
-
-#echo "INSTALLING libcurl"
-install_libcurl
-cleanup_libcurl
-
-#echo "INSTALLING libnettle"
-install_nettle
-cleanup_nettle
-
-#echo "INSTALLING gnutls"
-install_gnutls
-cleanup_gnutls
-
-#echo "INSTALLING libunistring"
-install_libunistring
-cleanup_libunistring

Deleted: gnunet-planetlab/03_planetlab-extractor.sh
===================================================================
--- gnunet-planetlab/03_planetlab-extractor.sh  2012-03-13 12:00:18 UTC (rev 
20474)
+++ gnunet-planetlab/03_planetlab-extractor.sh  2012-03-13 12:10:12 UTC (rev 
20475)
@@ -1,52 +0,0 @@
-#!/bin/sh
-
-echo "INSTALLING libxtractor"
-rm -rf Extractor
-svn checkout https://gnunet.org/svn/Extractor 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Checkedout Extractor successfull"
-else
-echo " Checkedout Extractor failed, exiting ..."
-exit 1
-fi
-
-cd Extractor
-./bootstrap 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Extractor bootstrap successfull"
-else
-echo " Extractor bootstrap failed, exiting ..."
-exit 1
-fi
-
-./configure 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Extractor configure successfull"
-else
-echo " Extractor configure failed, exiting ..."
-exit 1
-fi
-
-sudo make clean all 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Extractor make successfull"
-else
-echo " Extractor make failed, exiting ..."
-exit 1
-fi
-
-sudo  make install 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Extractor make install successfull"
-else
-echo " Extractor make install failed, exiting ..."
-exit 1
-fi
-
-cd ..
-exit 0

Deleted: gnunet-planetlab/04_planetlab-libmicrohttpd.sh
===================================================================
--- gnunet-planetlab/04_planetlab-libmicrohttpd.sh      2012-03-13 12:00:18 UTC 
(rev 20474)
+++ gnunet-planetlab/04_planetlab-libmicrohttpd.sh      2012-03-13 12:10:12 UTC 
(rev 20475)
@@ -1,52 +0,0 @@
-echo "INSTALLING libmicrohttpd"
-
-svn co https://gnunet.org/svn/libmicrohttpd 1> /dev/null
-cd libmicrohttpd/
-if [ $? = 0 ]
-then
-echo " Extraction libmicrohttpd successfull"
-else
-echo " Extraction libmicrohttpd failed, exiting ..."
-exit 1
-fi
-
-
-./bootstrap 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Bootstrap libmicrohttpd successfull"
-else
-echo " Bootstrap libmicrohttpd failed, exiting ..."
-exit 1
-fi
-
- ./configure --with-gnutls=/usr/local --enable-messages --enable-curl 1> 
/dev/null
-if [ $? = 0 ]
-then
-echo " Configure libmicrohttpd successfull"
-else
-echo " Configure libmicrohttpd failed, exiting ..."
-exit 1
-fi
-
-
-sudo make clean all 1> /dev/null
-if [ $? = 0 ]
-then
-echo " make libmicrohttpd successfull"
-else
-echo " make libmicrohttpd failed, exiting ..."
-exit 1
-fi
-
-sudo make install 1> /dev/null
-if [ $? = 0 ]
-then
-echo " make install libmicrohttpd successfull"
-else
-echo " make install libmicrohttpd failed, exiting ..."
-exit 1
-fi
-
-cd ..
-exit 0

Deleted: gnunet-planetlab/05_planetlab-gnunet.sh
===================================================================
--- gnunet-planetlab/05_planetlab-gnunet.sh     2012-03-13 12:00:18 UTC (rev 
20474)
+++ gnunet-planetlab/05_planetlab-gnunet.sh     2012-03-13 12:10:12 UTC (rev 
20475)
@@ -1,51 +0,0 @@
-#!/bin/sh
-echo "INSTALLING GNUNET"
-svn checkout https://gnunet.org/svn/gnunet/ 1> /dev/null
-cd gnunet/
-#sudo sudo rpm -e --nodeps libgcrypt
-#sudo rpm -e libgpg-error-devel --nodeps
-#sudo rpm -e libgpg-error --nodeps
-#sudo sudo rpm -e --nodeps libgcrypt
-#sudo rpm -e libgpg-error-devel --nodeps
-#sudo rpm -e libgpg-error --nodeps
-
-./bootstrap 1> /dev/null
-if [ $? = 0 ]
-then
-echo " Bootstrap gnunet successfull"
-else
-echo " Bootstrap gnunet failed, exiting ..."
-exit 1
-fi
-
-./configure --prefix=$HOME/gnbuild --with-extractor=/usr/local 1> /dev/null
-if [ $? = 0 ]
-then
-echo " configure gnunet successfull"
-else
-echo " configure gnunet failed, exiting ..."
-exit 1
-fi
-
-
-make clean all 1> /dev/null
-if [ $? = 0 ]
-then
-echo " make gnunet successfull"
-else
-echo " make gnunet failed, exiting ..."
-exit 1
-fi
-
-make install 1> /dev/null
-if [ $? = 0 ]
-then
-echo " make install gnunet successfull"
-else
-echo " make install gnunet failed, exiting ..."
-exit 1
-fi
-
-
-export GNUNET_PREFIX=$HOME/gnbuild
-export PATH=$PATH:$HOME/gnbuild/bin

Deleted: gnunet-planetlab/06_set_env.sh
===================================================================
--- gnunet-planetlab/06_set_env.sh      2012-03-13 12:00:18 UTC (rev 20474)
+++ gnunet-planetlab/06_set_env.sh      2012-03-13 12:10:12 UTC (rev 20475)
@@ -1,5 +0,0 @@
-#!/bin/sh
-echo -e "export GNUNET_PREFIX=/home/tum_dht_testing/gnbuild \n" >> ~/.bashrc
-echo -e "export PATH=$PATH:$GNUNET_PREFIX/bin \n" >> ~/.bashrc
-
- 
\ No newline at end of file

Copied: gnunet-planetlab/automation_scripts/00_planetlab-certificate-install.sh 
(from rev 20474, gnunet-planetlab/00_planetlab-certificate-install.sh)
===================================================================
--- gnunet-planetlab/automation_scripts/00_planetlab-certificate-install.sh     
                        (rev 0)
+++ gnunet-planetlab/automation_scripts/00_planetlab-certificate-install.sh     
2012-03-13 12:10:12 UTC (rev 20475)
@@ -0,0 +1,38 @@
+echo "INSTALLING svn"
+sudo yum -t --nogpgcheck install svn -y
+if [ $? = 0 ]
+then
+echo " Installing svn successfull"
+else
+echo " Instalation svn failed, exitting ..."
+exit 1
+fi
+
+
+#creating subversion directory structury with first time checkout with 
acceptable certificate
+#cd
+#sudo svn checkout 
http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ tmp/
+#if [ $? = 0 ]
+#then
+#echo " Checking out"
+#else
+#echo " Checkedout Extractor failed, exiting ..."
+#exit 1
+#fi
+
+#copying the certificates to the new node
+mkdir ~/.subversion/auth
+mkdir ~/.subversion/auth/svn.ssl.server
+#sudo chmod 777 ~/.subversion/auth
+
+cp contrib/gnunet-svn-cert 
/home/tum_dht_testing/.subversion/auth/svn.ssl.server/2bd0c10624fe8b217987bb45f1ec55bf
+#sudo chmod 777 /home/tum_dht_testing/.subversion/auth/svn.ssl.server
+
+if [ $? = 0 ]
+then
+echo " Installing gnunet.org certificate for subversion successful"
+else
+echo " Installing gnunet.org certificate for subversion failed"
+rm -rf  ~/.subversion/auth
+exit 1
+fi

Copied: gnunet-planetlab/automation_scripts/00_planetlab-remove.sh (from rev 
20474, gnunet-planetlab/00_planetlab-remove.sh)
===================================================================
--- gnunet-planetlab/automation_scripts/00_planetlab-remove.sh                  
        (rev 0)
+++ gnunet-planetlab/automation_scripts/00_planetlab-remove.sh  2012-03-13 
12:10:12 UTC (rev 20475)
@@ -0,0 +1,33 @@
+echo "INSTALLING DEPENDENCIES"
+
+sudo sudo rpm -e --nodeps libgcrypt 1> /dev/null
+#if [ $? = 0 ]
+#then
+echo " Removing old version of libgcrypt"
+#else
+#echo " Removing old version of libgcrypt failed"
+#exit 1
+#fi
+
+sudo rpm -e libgpg-error-devel --nodeps
+#if [ $? = 0 ]
+#then
+echo " Removing old version of libgpg-error-devel"
+#else
+#echo " Removing old version of libgpg-error-devel failed"
+#exit 1
+#fi
+
+sudo rpm -e libgpg-error --nodeps
+#if [ $? = 0 ]
+#then
+echo " Removing old version of libgpg-error "
+#else
+#echo " Removing old version of libgpg-error  failed"
+#exit 1
+#fi
+
+
+exit 0
+
+

Copied: gnunet-planetlab/automation_scripts/01_planetlab-dependencies.sh (from 
rev 20474, gnunet-planetlab/01_planetlab-dependencies.sh)
===================================================================
--- gnunet-planetlab/automation_scripts/01_planetlab-dependencies.sh            
                (rev 0)
+++ gnunet-planetlab/automation_scripts/01_planetlab-dependencies.sh    
2012-03-13 12:10:12 UTC (rev 20475)
@@ -0,0 +1,119 @@
+echo "INSTALLING DEPENDENCIES"
+
+sudo yum -t --nogpgcheck install svn -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing svn successful"
+else
+echo " Instalation svn failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install make -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing make successful"
+else
+echo " Instalation make failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gcc -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing gcc successful"
+else
+echo " Instalation gcc failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gcc-c++ -y 1> /dev/null
+
+if [ $? = 0 ]
+then
+echo " Installing gcc-c++ successful"
+else
+echo " Instalation gcc-c++ failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install autoconf automake -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing autoconf successful"
+else
+echo " Instalation autoconf failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gettext -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing gettext successful"
+else
+echo " Instalation gettext failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install zlib-devel -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing zlib-devel successful"
+else
+echo " Instalation zlib-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install texinfo -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing textinfo successful"
+else
+echo " Instalation textinfo failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gettext-devel -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing gettext-devel successful"
+else
+echo " Instalation gettext-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install sqlite-devel -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing sqlite-develsuccessful"
+else
+echo " Instalation sqlite-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gmp-devel -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing gmp-devel successful"
+else
+echo " Instalation gmp-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gmp-devel -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing gmp-devel successful"
+else
+echo " Instalation gmp-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install m4 -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing m4 successful"
+else
+echo " Instalation m4 failed, exitting ..."
+exit 1
+fi

Copied: gnunet-planetlab/automation_scripts/02_planetlab-deps-from-source.sh 
(from rev 20474, gnunet-planetlab/02_planetlab-deps-from-source.sh)
===================================================================
--- gnunet-planetlab/automation_scripts/02_planetlab-deps-from-source.sh        
                        (rev 0)
+++ gnunet-planetlab/automation_scripts/02_planetlab-deps-from-source.sh        
2012-03-13 12:10:12 UTC (rev 20475)
@@ -0,0 +1,502 @@
+#!/bin/sh
+
+
+# libtool
+#--------------------------
+
+function cleanup_libtool {
+rm -rf /tmp/libtool 1> /dev/null 2> /dev/null
+} 
+
+function install_libtool { 
+
+echo Installing libtool
+
+mkdir /tmp/libtool
+cd /tmp/libtool
+
+wget http://ftp.gnu.org/gnu/libtool/libtool-2.4.2.tar.gz 1> /dev/null 2> 
/dev/null 
+if [ $? = 0 ]
+then
+ echo "  Download successful"
+else
+ echo "  Download failed!"
+ cleanup_libtool
+ exit 1
+fi
+
+cd /tmp/libtool
+tar xfvz libtool-2.4.2.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+ echo "  Unpacking successful"
+else
+ echo "  Unpacking failed!"
+ cleanup_libtool
+exit 1
+fi
+
+cd libtool-2.4.2
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+ echo "  Configure successful"
+else
+ echo "  Configure failed!"
+ cleanup_libtool
+exit 1
+fi
+
+sudo make clean all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  make clean all successful"
+else
+echo "  make libtool failed, exiting ..."
+ cleanup_libtool 
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  make install successful"
+else
+echo "  Installing libtool failed, exiting ..."
+ cleanup_libtool    
+exit 1
+fi
+
+echo Libtool installed!
+
+cleanup_libtool
+}
+ 
+# libgcrypt & libgpgerror
+#--------------------------
+
+function cleanup_libgcrypt {
+rm -rf /tmp/libgcrypt
+}
+
+function install_libgcrypt {
+
+mkdir /tmp/libgcrypt
+cd /tmp/libgcrypt
+
+if [ $? = 0 ]
+then
+echo " Extraction libgcrypt 1 successful"
+else
+echo " Libgcrpyt download failure, exiting ..."
+cleanup_libtool
+exit 1
+fi
+
+
+wget ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.5.0.tar.gz 1> /dev/null 
2> /dev/null
+
+tar -zxvf libgcrypt-1.5.0.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Extraction libgcrpt 2  successfull"
+else
+echo " Libgcrpyt download fialure,  Exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+cd libgcrypt-1.5.0
+
+wget ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.8.tar.bz2 1> 
/dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Extraction libgcrpt 2  successfull"
+else
+echo " Libgcrpyt download fialure,  Exiting ..."
+cleanup_ligcrypt
+exit 1
+fi
+
+if [ $? = 0 ]
+then
+echo " libgpg download successfull"
+else
+echo " Libgpg-error configuration failed, exiting ..."
+exit 1
+fi
+
+tar -xjvf libgpg-error-1.8.tar.bz2 1> /dev/null 2> /dev/null
+cd libgpg-error-1.8
+
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  Libgpg-error configure successfull"
+else
+echo "  Libgpg-error configuration failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  Libgpg-error make successfull"
+else
+echo "  Libgpt-error configuration failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  Libgpg-error make install successfull"
+else
+echo "  Libgpg-error make install failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+cd ..
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Libgcrypt configure successfull"
+else
+echo " Libgcrypt configure failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+
+if [ $? = 0 ]
+then
+echo " Libcrpyt make successfull"
+else
+echo " Libcrypt make failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Libcrpyt make install successfull"
+else
+echo " Libcrypt make install failed, exiting ..."
+cleanup_libgcrypt 
+exit 1
+fi
+
+cd ..
+
+}
+
+# libcurl
+#--------------------------
+
+
+function cleanup_libcurl {
+rm -rf /tmp/libcurl
+}
+
+function install_libcurl {
+mkdir /tmp/libcurl
+cd /tmp/libcurl
+
+wget http://curl.haxx.se/download/curl-7.23.1.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Download successful"
+else
+  echo " Download failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+tar xvfz curl-7.23.1.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Unpack successful"
+else
+  echo " Unpack failed, exiting ..."
+  cleanup_libcurl
+ exit 1
+fi
+
+cd curl-7.23.1
+./configure --with-ssl 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libcurl configure successful"
+else
+  echo " Libcurl configure failed, exiting ..."
+cleanup_libcurl
+exit 1
+fi
+ 
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libcurl make all successful"
+else
+  echo " Libcurl make all failed, exiting ..."
+cleanup_libcurl
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libcurl make install successful"
+else
+  echo " Libcurl make install failed, exiting ..."
+  cleanup_libcurl
+  exit 1
+fi
+
+cd ..
+}
+
+# libnettle
+#-------------------------
+
+function cleanup_nettle {
+#      cd ..
+#      rm -rf nettle-2.4
+#      rm nettle-2.4.tar.gz 
+rm -rf /tmp/libnettle
+}
+
+
+function install_nettle {
+
+
+mkdir /tmp/libnettle
+cd /tmp/libnettle
+
+ wget http://www.lysator.liu.se/~nisse/archive/nettle-2.4.tar.gz 1> /dev/null 
2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle download successful"
+else
+  echo " Libnettle download failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+tar xvfz nettle-2.4.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle unpack successful"
+else
+  echo " Libnettle unpack failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+cd nettle-2.4
+
+./configure --enable-shared 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle configure successful"
+else
+  echo " Libnettle configure failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle make all successful"
+else
+  echo " Libnettle make all failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libnettle sudo make install successful"
+else
+  echo " Libnettle sudo make install failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+cd ..
+#cleanup_nettle
+}
+
+
+# gnutls
+#-------------------------
+
+function cleanup_gnutls {
+#      cd ..
+#      rm -rf gnutls-2.12.9
+#      rm gnutls-2.12.9.tar.gz 
+rm -rf /tmp/gnutls
+}
+
+
+function install_gnutls {
+       
+mkdir /tmp/gnutls
+cd /tmp/gnutls
+
+wget ftp://ftp.gnupg.org/gcrypt/gnutls/gnutls-2.12.9.tar.bz2 1> /dev/null 2> 
/dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls download successful"
+else
+  echo " gnutls download failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+tar -xjvf gnutls-2.12.9.tar.bz2 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls download successful"
+else
+  echo " gnutls download failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+cd gnutls-2.12.9
+
+./configure --without-p11-kit   1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls configure successful"
+else
+  echo " gnutls configure failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls make all successful"
+else
+  echo " gnutls make all failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " gnutls sudo make install successful"
+else
+  echo " gnutls sudo make install failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+
+#cleanup_gnutls
+cd ..
+}
+
+function cleanup_libunistring {
+#      cd ..
+#      rm -rf gnutls-2.12.9
+#      rm gnutls-2.12.9.tar.gz 
+rm -rf /tmp/libunistring
+}
+
+
+function install_libunistring {
+       
+mkdir /tmp/libunistring
+cd /tmp/libunistring
+
+
+wget http://ftp.gnu.org/gnu/libunistring/libunistring-0.9.3.tar.gz 1> 
/dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring download successful"
+else
+  echo " libunistring download failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+tar xvfz libunistring-0.9.3.tar.gz 1>/dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring download successful"
+else
+  echo " libunistring download failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+
+cd libunistring-0.9.3
+
+./configure  1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring configure successful"
+else
+  echo " libunistring configure failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring make all successful"
+else
+  echo " libunistring make all failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " libunistring sudo make install successful"
+else
+  echo " libunistring sudo make install failed, exiting ..."
+  cleanup_libunistring
+  exit 1
+fi
+
+#cleanup_libunistring
+cd ..
+}
+
+echo "INSTALLING DEPENDENCIES FROM SOURCE"
+
+# Installing libtool
+install_libtool
+cleanup_libtool
+
+#echo "INSTALLING libcrypt"
+install_libgcrypt
+cleanup_libgcrypt
+
+#echo "INSTALLING libcurl"
+install_libcurl
+cleanup_libcurl
+
+#echo "INSTALLING libnettle"
+install_nettle
+cleanup_nettle
+
+#echo "INSTALLING gnutls"
+install_gnutls
+cleanup_gnutls
+
+#echo "INSTALLING libunistring"
+install_libunistring
+cleanup_libunistring

Copied: gnunet-planetlab/automation_scripts/03_planetlab-extractor.sh (from rev 
20474, gnunet-planetlab/03_planetlab-extractor.sh)
===================================================================
--- gnunet-planetlab/automation_scripts/03_planetlab-extractor.sh               
                (rev 0)
+++ gnunet-planetlab/automation_scripts/03_planetlab-extractor.sh       
2012-03-13 12:10:12 UTC (rev 20475)
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+echo "INSTALLING libxtractor"
+rm -rf Extractor
+svn checkout https://gnunet.org/svn/Extractor 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Checkedout Extractor successfull"
+else
+echo " Checkedout Extractor failed, exiting ..."
+exit 1
+fi
+
+cd Extractor
+./bootstrap 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Extractor bootstrap successfull"
+else
+echo " Extractor bootstrap failed, exiting ..."
+exit 1
+fi
+
+./configure 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Extractor configure successfull"
+else
+echo " Extractor configure failed, exiting ..."
+exit 1
+fi
+
+sudo make clean all 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Extractor make successfull"
+else
+echo " Extractor make failed, exiting ..."
+exit 1
+fi
+
+sudo  make install 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Extractor make install successfull"
+else
+echo " Extractor make install failed, exiting ..."
+exit 1
+fi
+
+cd ..
+exit 0

Copied: gnunet-planetlab/automation_scripts/04_planetlab-libmicrohttpd.sh (from 
rev 20474, gnunet-planetlab/04_planetlab-libmicrohttpd.sh)
===================================================================
--- gnunet-planetlab/automation_scripts/04_planetlab-libmicrohttpd.sh           
                (rev 0)
+++ gnunet-planetlab/automation_scripts/04_planetlab-libmicrohttpd.sh   
2012-03-13 12:10:12 UTC (rev 20475)
@@ -0,0 +1,52 @@
+echo "INSTALLING libmicrohttpd"
+
+svn co https://gnunet.org/svn/libmicrohttpd 1> /dev/null
+cd libmicrohttpd/
+if [ $? = 0 ]
+then
+echo " Extraction libmicrohttpd successfull"
+else
+echo " Extraction libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+
+./bootstrap 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Bootstrap libmicrohttpd successfull"
+else
+echo " Bootstrap libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+ ./configure --with-gnutls=/usr/local --enable-messages --enable-curl 1> 
/dev/null
+if [ $? = 0 ]
+then
+echo " Configure libmicrohttpd successfull"
+else
+echo " Configure libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+
+sudo make clean all 1> /dev/null
+if [ $? = 0 ]
+then
+echo " make libmicrohttpd successfull"
+else
+echo " make libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+sudo make install 1> /dev/null
+if [ $? = 0 ]
+then
+echo " make install libmicrohttpd successfull"
+else
+echo " make install libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+cd ..
+exit 0

Copied: gnunet-planetlab/automation_scripts/05_planetlab-gnunet.sh (from rev 
20474, gnunet-planetlab/05_planetlab-gnunet.sh)
===================================================================
--- gnunet-planetlab/automation_scripts/05_planetlab-gnunet.sh                  
        (rev 0)
+++ gnunet-planetlab/automation_scripts/05_planetlab-gnunet.sh  2012-03-13 
12:10:12 UTC (rev 20475)
@@ -0,0 +1,51 @@
+#!/bin/sh
+echo "INSTALLING GNUNET"
+svn checkout https://gnunet.org/svn/gnunet/ 1> /dev/null
+cd gnunet/
+#sudo sudo rpm -e --nodeps libgcrypt
+#sudo rpm -e libgpg-error-devel --nodeps
+#sudo rpm -e libgpg-error --nodeps
+#sudo sudo rpm -e --nodeps libgcrypt
+#sudo rpm -e libgpg-error-devel --nodeps
+#sudo rpm -e libgpg-error --nodeps
+
+./bootstrap 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Bootstrap gnunet successfull"
+else
+echo " Bootstrap gnunet failed, exiting ..."
+exit 1
+fi
+
+./configure --prefix=$HOME/gnbuild --with-extractor=/usr/local 1> /dev/null
+if [ $? = 0 ]
+then
+echo " configure gnunet successfull"
+else
+echo " configure gnunet failed, exiting ..."
+exit 1
+fi
+
+
+make clean all 1> /dev/null
+if [ $? = 0 ]
+then
+echo " make gnunet successfull"
+else
+echo " make gnunet failed, exiting ..."
+exit 1
+fi
+
+make install 1> /dev/null
+if [ $? = 0 ]
+then
+echo " make install gnunet successfull"
+else
+echo " make install gnunet failed, exiting ..."
+exit 1
+fi
+
+
+export GNUNET_PREFIX=$HOME/gnbuild
+export PATH=$PATH:$HOME/gnbuild/bin

Copied: gnunet-planetlab/automation_scripts/06_set_env.sh (from rev 20474, 
gnunet-planetlab/06_set_env.sh)
===================================================================
--- gnunet-planetlab/automation_scripts/06_set_env.sh                           
(rev 0)
+++ gnunet-planetlab/automation_scripts/06_set_env.sh   2012-03-13 12:10:12 UTC 
(rev 20475)
@@ -0,0 +1,5 @@
+#!/bin/sh
+echo -e "export GNUNET_PREFIX=/home/tum_dht_testing/gnbuild \n" >> ~/.bashrc
+echo -e "export PATH=$PATH:$GNUNET_PREFIX/bin \n" >> ~/.bashrc
+
+ 
\ No newline at end of file




reply via email to

[Prev in Thread] Current Thread [Next in Thread]